
QGIS Application - Bug report #1234

Suspicious retrival of active layer in dxf2shp converter

2008-08-21 03:36 PM - Mateusz Loskot -

Status: Closed

Priority: Low

Assignee: nobody -

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 11294

Description

In file [source:trunk/qgis/src/plugins/dxf2shp_converter/dxf2shpconverter.cpp?rev=9053#L114 dxf2shpconverter.cpp], lines 119-121,

there are some actions implemented that seem to be garbage and never used:

[[QgsMapLayer]] *layer = mQGisIface->activeLayer();

if (layer)

    [[QgsVectorLayer]] *lyr = (QgsVectorLayer*)layer;

Or, it's a kind of logical error (cast and assignment to lyr object in local scope of if-condition) and the idea was to use the retrieved active

layer but bits of usage are missing.

Associated revisions

Revision 4d9ba4f3 - 2008-08-22 12:50 AM - Jürgen Fischer

fix #1234 & #1235

git-svn-id: http://svn.osgeo.org/qgis/trunk/qgis@9114 c8812cc2-4d05-0410-92ff-de0c093fc19c

Revision 399e2636 - 2008-08-22 12:50 AM - Jürgen Fischer

fix #1234 & #1235

git-svn-id: http://svn.osgeo.org/qgis/trunk@9114 c8812cc2-4d05-0410-92ff-de0c093fc19c

History

#1 - 2008-08-21 03:39 PM - Mateusz Loskot -

Sorry, the link to file is broken, here is corrected version: [source:trunk/qgis/src/plugins/dxf2shp_converter/dxf2shpconverter.cpp@9053#L114

dxf2shpconverter.cpp]

#2 - 2008-08-21 03:51 PM - Jürgen Fischer

- Resolution set to fixed

- Status changed from Open to Closed
thanks. fixed in
